/// Base system installer - based on HS.Util.Installer.Kit.SampleDefinition
/// 
Class HS.Local.VA.HS.Registry.Installer Extends HS.Util.Installer.Kit.Base
{

XData Registry
{
<root>
<Host></Host>
<WebPort></WebPort> 
<Namespaces>

<Namespace>
<Type>Hub</Type>
<Name>HSREGISTRY</Name>
<BaseNamespaceTemplate>ISCBaseHub</BaseNamespaceTemplate>
</Namespace>

<!--Namespace>
<Type>EdgeGateway</Type>
<Name>HSEDGE1</Name>
<BaseNamespaceTemplate>ISCBaseEdgeGateway</BaseNamespaceTemplate>
</Namespace-->

<!-- TODO: real edges -->

<!--Namespace>
<Type>AccessGateway</Type>
<Name>HSACCESS</Name>
<BaseNamespaceTemplate>ISCBaseAccessGateway</BaseNamespaceTemplate>
</Namespace-->

<Namespace>
<Type>EdgeGateway</Type>
<Name>HSREPOSITORY</Name>
<BaseNamespaceTemplate>ISCBaseEdgeRepository</BaseNamespaceTemplate>
</Namespace>

</Namespaces>

</root>
}

XData ISCBaseHub
{
<nsdef>
<Template>HS.Sample.Production.Hub.PatientRegistryProduction</Template>
<Vars><VarsItem VarsKey='DEMO'>1</VarsItem></Vars>
<AdditionalKit Class="HS.Util.Installer.Kit.IHE.PIXPDQ"><Options>PIXPDQ</Options><Options>XDSb.Registry</Options><Options>XDSb.Repository</Options><Options>XCA</Options></AdditionalKit>
<AdditionalKit Class="HS.Util.Installer.Kit.IHE.XDSb.Registry"><Options>XDSb.Registry</Options></AdditionalKit>
<AdditionalKit Class="HS.Util.Installer.Kit.IHE.XDSb.Repository"><Options>XDSb.Repository</Options></AdditionalKit>
<AdditionalKit Class="HS.Util.Installer.Kit.IHE.XDSb.Push"><Options>XDSb.Push</Options></AdditionalKit>
<AdditionalKit Class="HS.Util.Installer.Kit.IHE.OnDemand"><Options>OnDemand</Options></AdditionalKit>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.Demo.SetupConsent"/> <!-- create some sample policies -->
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.Demo.SetupTerminology"/>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.XDSbCodes"></PostInstallKit>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.Demo.OIDEntries"><Options>XDSb.Registry</Options><Options>XDSb.Repository</Options><Options>PIXPDQ</Options></PostInstallKit>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.SetupDataVolumeReporting"></PostInstallKit>
<!-- items following start production require the productions to be running -->
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.StartProductions"/>
<!-- user, push, and provider demo data -->
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.Demo.SetupHomeFacility"><Options>Push</Options></PostInstallKit>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.Demo.SetupFacilities"><Options>PIXPDQ</Options><Argument/><Argument>PIXPDQ</Argument></PostInstallKit>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.Demo.BuildScenarios"/>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.Demo.AssignAuthTypes"/>
</nsdef>
}

XData ISCBaseEdgeGateway
{
<nsdef>
<Template>HS.Sample.Production.EdgeGateway.FileProduction</Template>
<AdditionalKit Class="HS.Util.Installer.Kit.IHE.XDSb.Push"><Options>XDSb.Push</Options></AdditionalKit>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.SetupDataVolumeReporting"></PostInstallKit>
<Vars><VarsItem VarsKey='DEMO'>1</VarsItem></Vars>
</nsdef>
}

XData ISCBaseAccessGateway
{
<nsdef>
<Template>HS.Sample.Production.AccessGateway.ViewerProduction</Template>
<AdditionalKit Class="HS.Util.Installer.Kit.IHE.XDSb.Push"><Options>XDSb.Push</Options></AdditionalKit>
<AdditionalKit Class="HS.Util.Installer.Kit.IHE.OnDemand"><Options>OnDemand</Options></AdditionalKit>
<PostInstallKit Class="HS.Util.Installer.Kit.PostInstall.SetupDataVolumeReporting"></PostInstallKit>
<Vars><VarsItem VarsKey='DEMO'>1</VarsItem></Vars>
</nsdef>
}

XData ISCBaseEdgeRepository
{
<nsdef>
<Template>HS.Sample.Production.EdgeGateway.IHE.XDSb.Repository</Template>
<Options>XDSb.Repository</Options>
<Vars><VarsItem VarsKey='DEMO'>1</VarsItem></Vars>
</nsdef>
}

}
