#!/bin/sh

echo "Adding vagrant to dba group."
usermod -a -G cacheusr vagrant

echo "Downloading Installers..."
if [ ! -d /hs/.vagrant/Software ]; then
  mkdir -p /hs/.vagrant/Software
fi
pushd /hs/.vagrant/Software
if [ ! -e WebTerminal-v4.8.0.xml ]; then
  curl -k https://intersystems-community.github.io/webterminal/files/WebTerminal-v4.8.0.xml -o WebTerminal-v4.8.0.xml
fi
popd

if [ -e /hs/.vagrant/Software/cache.key ]; then
  echo "Applying license."
  cp -p /hs/.vagrant/Software/cache.key /opt/HS/mgr 
else
  echo -e "\a" \
          "================================================================================\n" \
          "       No license key provided.  You will have to manually apply license.\n" \
          "================================================================================"
fi

echo "Starting HealthShare."
/opt/HS/cstart

if [ -e /opt/HS/mgr/cache.key ]; then
  . /hs/vagrant-scripts/setup-busdemo.sh
else
  echo -e "\a" \
          "=====================================================================================\n" \
          "       HealthShare license not installed.  Copy valid cache.key to /opt/HS/mgr\n" \
          "       and run /hs/vagrant-scripts/setup-vdif.sh manually.\n" \
          "====================================================================================="
fi

echo "Stopping HealthShare."
/opt/HS/cstop << STOP
No
No
Yes
Yes
STOP