#!/bin/sh

runuser -l cacheusr << END

umask 002

echo "Copying XSLT"
cp -r /hs/HealthShareCommons/CustomXslt/xslt /opt/HS/csp
cp -r /hs/RegistryHub/CustomXslt/xslt /opt/HS/csp
cp -r /hs/AccessGateway/CDA_Gateway/CustomXslt/xslt /opt/HS/csp

csession HS << STOP
cacheusr
root

w "Apply 7 class AdHoc."
zn "HSLIB"
do \\\$System.OBJ.Load("/hs/HealthShareCommons/CustomClasses/VA AdHoc_fixes020819.xml", "cklr")

w "Install SDA Extensions."
zn "HSCUSTOM"
do \\\$System.OBJ.Load("/hs/HealthShareCommons/CustomClasses/SDA_Extensions.xml")
do \\\$System.OBJ.CompileList("HS.Local.VA.SDA3.*")
do \\\$System.OBJ.CompileList("HS.Local.SDA3.*")
zn "HSLIB"
do \\\$System.OBJ.CompileList("HS.SDA3.*")

w "Install Terminology classes"
zn "HSCUSTOM"
do \\\$System.OBJ.Load("/hs/HealthShareCommons/CustomClasses/HS.Local.VA.Terminology.xml", "cklr")

w "Setting up Registry."
zn "HSCUSTOM"
do \\\$System.OBJ.Load("/hs/RegistryHub/CustomClasses/HS.Local.VA.HS.Registry.Setup.cls","cklr")
do \\\$System.OBJ.Load("/hs/RegistryHub/CustomClasses/HS.Local.VA.HS.Registry.Installer.cls","cklr")
do \\\$System.OBJ.Load("/hs/RegistryHub/CustomClasses/HS.Local.VA.HS.Registry.xml", "cklr")
do ##class(HS.Local.VA.HS.Registry.Setup).Install()

w "Import Terminology codes."
zn "HSREGISTRY"
do ##class(%Library.Global).Import(,"*","/hs/HealthShareCommons/Terminology/TermExport.go")

w "Setting up Edge Gateways."
zn "HSCUSTOM"
do \\\$System.OBJ.Load("/hs/EdgeGateway/CustomClasses/HS.Local.VA.Production.EdgeGateway.FileProduction.xml","cklr")
zn "HSLIB"
set pVars("Template")="HS.Local.VA.Production.EdgeGateway.FileProduction"
do ##class(HS.Util.Installer).InstallEdgeGateway("HSEDGCHY",.pVars)
kill pVars
set pVars("Template")="HS.Local.VA.Production.EdgeGateway.FileProduction"
do ##class(HS.Util.Installer).InstallEdgeGateway("HSEDGDAYT",.pVars)

w "Setting up CDA Access Gateway."
zn "HSCUSTOM"
do \\\$System.OBJ.Load("/hs/AccessGateway/CDA_Gateway/CustomClasses/HS.Local.VA.HS.Access.CDA.xml", "cklr")
zn "HSLIB"
kill pVars
set pVars("Template")="HS.Local.VA.HS.Access.CDA.Production"
do ##class(HS.Util.Installer).InstallAccessGateway("HSACCCDA",.pVars)

halt
STOP
END
